TOTP / HOTP 생성기: 안전한 일회용 비밀번호
TOTP / HOTP 생성기는 공유된 Base32 시크릿에서 일회용 비밀번호를 만듭니다. TOTP는 현재 시간을 사용하고, HOTP는 카운터를 사용합니다. 6, 7, 8자리 숫자와 SHA-1, SHA-256, SHA-512, 그리고 15, 30, 60초 같은 시간 주기를 선택하세요. 실시간 카운트다운으로 현재 TOTP 코드의 남은 유효 시간을 확인할 수 있습니다.
TOTP / HOTP 생성기는 2단계 인증에 사용되는 일회용 비밀번호를 만듭니다. 현재 시간과 공유 시크릿에서 새 코드를 도출하는 TOTP(RFC 6238)와 카운터에서 코드를 도출하는 HOTP(RFC 4226)를 지원합니다. 공유 시크릿은 Google Authenticator용 QR 코드에 담기는 형식인 Base32(RFC 4648)로 인코딩됩니다.
코드를 생성하기 위해 도구는 공유 시크릿을 선택한 설정과 함께 사용합니다. 6, 7, 8자리 숫자와 SHA-1, SHA-256, SHA-512, 그리고 15, 30, 60초 같은 TOTP 주기를 선택할 수 있습니다. 실시간 카운트다운 바로 현재 시간 기반 코드의 남은 유효 시간을 보여줍니다. 계산에는 WebCrypto HMAC이 사용되며 브라우저 로컬에서 실행됩니다.
TOTP와 HOTP는 각 코드를 도출하는 데 사용하는 값이 다릅니다. TOTP는 시간을, HOTP는 카운터를 사용합니다. 두 형식 모두 공유 시크릿에서 일회용 비밀번호를 만들지만, 특정 2단계 인증 흐름을 테스트하거나 다룰 때는 이 구분이 중요합니다. 테스트 데이터용 코드를 준비하거나, 인증 앱 워크플로를 확인하거나, 두 표준을 비교할 때 생성기를 활용하세요.
TOTP / HOTP 생성기는 브라우저에서 실행되며 서버로 전송되는 데이터가 없습니다. 서버 의존성이 없으므로 페이지가 로드된 후에는 오프라인에서도 계속 동작합니다. 공유 시크릿을 다른 곳으로 보내지 않고 로컬 테스트, 픽스처, 문서, 개발 작업용 코드가 필요한 개발자와 DevOps 엔지니어에게 유용합니다.
1단계: 공유 시크릿을 Base32 형식으로 입력하세요. 인증 앱 QR 코드에 사용되는 인코딩입니다.
2단계: 사용 가능한 옵션을 설정하세요. 6, 7, 8자리 숫자와 SHA-1, SHA-256, SHA-512 중 선택합니다.
3단계: TOTP 시간 주기를 선택하세요(예: 15, 30, 60초).
4단계: 일회용 비밀번호를 생성하고 실시간 카운트다운을 확인해 현재 TOTP 코드의 남은 유효 시간을 보세요.
5단계: 테스트, 픽스처, 다른 워크플로에 필요한 값을 복사하세요.
사용 사례: 예제 코드를 손으로 입력하는 대신 인증 테스트, 픽스처, 시드 데이터용 TOTP·HOTP 값을 생성하세요.
사용 사례: 테스트 데이터를 준비할 때 값을 직접 만들어 내는 대신 한 번에 코드 묶음을 생성하세요.
사용 사례: 키보드로 추측 입력에 의존하지 않고 선택한 표준과 설정에 따라 코드를 생성하세요.
사용 사례: 인증 앱 워크플로를 테스트할 때 공유 Base32 시크릿에서 일회용 비밀번호가 어떻게 생성되는지 확인하세요.
사용 사례: 2단계 인증을 개발·디버깅하면서 시간 기반 TOTP 코드와 카운터 기반 HOTP 코드를 비교하세요.
사용 사례: 문서, 데모, 기타 개발 작업용 일회용 비밀번호 예제를 준비하세요.